### Virtual Method

# Fwupd BiosSetting write_value

#### Declaration [src]

    gboolean
    write_value (
      FwupdBiosSetting* self,
      const gchar* value,
      GError** error
    )

#### Description [src]

Writes a new value into the setting if it is different from the current value.

NOTE: A subclass should handle the `->write_value()` vfunc and actually write the value to the firmware.

Available since: | 1.9.4

#### Parameters

`value` | `const gchar*`
| The string to write.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.